Bug 51464 - sar does give a wrong % for CPU time (1024%)
Summary: sar does give a wrong % for CPU time (1024%)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-10 17:34 UTC by Need Real Name
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 17:34:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-08-10 17:34:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
sar does give wrong results on Alpha, it seem to assume that
HZ is 100 for all architectures (tru for Intel, but Alpha is 1024). I guess
sar uses the C function times().

How reproducible:
Always

Steps to Reproduce:
1. sar -u 1	

Actual Results:  dilbert:~> sar -u 1
Linux 2.4.3-12smp (dilbert)     08/10/2001
 
01:39:13 PM       CPU     %user     %nice   %system     %idle
01:39:14 PM       all      2.00      0.00     18.00    1004.00
Average:          all      2.00      0.00     18.00    1004.00

Expected Results:  Total time being at a total of 100% (maybe 200% for dual
processor, but not 1024%)...


Additional info:

Comment 1 Preston Brown 2001-08-13 19:50:08 UTC
fixed in rawhide, and the next release.



Note You need to log in before you can comment on or make changes to this bug.